% Trmino de uma ligao RS-232 existente.
%
% stat=killcom(handler)
%
% Entradas:
%  handler -> ID da linha srie
% Sadas:
%  stat    -> retorna 1 em caso de sucesso
%
% (c) Milton Ruas da Silva, 2006

function [error,errorstr]=killcom(handler)

if (nargin==0)
    error('myfunction:killComm:BadArgs','You need to specify the communication handler!');
end

error=0;
errorstr='OK';

% Encerramento da porta
stat=cportclose(handler);

% Verificao da ocorrncia de erros no encerramento
if (stat==0)
    error=1;
    errorstr='Cannot close communications gate!';
end
