function [stat,error,errorstr]=waitpwmon(H,scuid)

% Estado de sucesso da operao
stat=0;
error=0;
errorstr='OK';

% Timeout para terminar o movimento
timeout=10;

% Espera que os motores terminem o movimento
pwm=0;
tic
while (pwm==0 && toc<timeout)
    [x,x,x,pwm,error,errorstr]=statmotionfin(H,scuid);
    if (error==1), return, end
end

% Os motores efectivamente terminaram o movimento?
stat=pwm;