% Pedido de envio de uma sequencia de teste por parte do master.
%
% calibcom(handler)
%
% Entradas:
%  handler -> ID da linha srie.
%
% (c) Milton Ruas da Silva, 2006

function [error,errorstr]=testcom(H)

% Variveis globais
data;

% Mensagem de teste a enviar
message=[MESSAGE_TEST floor(rand(1,4)*256)];
expected=[message 0];

% Envio da mensagem de request e leitura da resposta
[rx,error,errorstr]=sendmessage(H,message);

% Erro na transmisso/recepo?
if (error==1)
    errorstr=['Comunicaes falharam: ' errorstr];

% Validao do tamanho
elseif (length(rx)~=length(expected))
    error=1;
    errorstr='Tamanho da mensagem de resposta no esperado!';

% Validao do contedo da mensagem
elseif (rx~=expected)
    error=1;
    errorstr='Mensagem de resposta diferente da esperada!';
end
