% Aplicao de um movimento numa perna com base em coordenadas cartesianas

function [theta,error,errorstr]=motioncartesian(H,xy,speed)

% Carregar dados da perna
footdata;

% Clculo dos angulos das juntas com base nas coordenadas
[phi,error,errorstr]=cinematinv(xy,L);
% S prossegue, se o clculo foi possvel
if (error==1), return, end

% ngulos das juntas
theta=[phi(1)+phi(2)+90, -phi(2), -phi(1)-90];

% Aplicao do movimento
[error,errorstr]=motion(H,theta,speed);
