function cportwrite;
% function nW=cportwrite(H,Data,EOL) sends data to a previously opened
% communication port. The parameters are:
%
%H    - The port handle returned by cportopen.
%Data - A character array or data vector to send to the port. A character
%       array will be converted to ASCII before being sent on, while any
%       other data vector will be sent as-is. Note that if carriage-return
%       and/or linefeed line termination is required, it must be included
%       in the character array.
%EOL  - Optional end-of-line specifier, can be 'CR', 'LF', 'CRLF'.
%
%nW   - The number of characters actually written to the port (optional).
%
% Written by Eyal Doron, July 1999

error('CPORTWRITE is implemented in a MEX file.');

