/*=======================================================================+
| DEPARTAMENTO MECANICA + DEPARTAMENTO DE ELECTRNICA E TELECOMUNICAES |
|                       DA UNIVERSIDADE AVEIRO                           |
|               Projecto Humanoide (PHUA - MODULROB)                     |
|                                                                        |
| Programadores:                                                         |
|              Milton Ruas da Silva                N:21824 (EET)         |
|              David Manuel Costa Gameiro          N:20281 (DEM)         |
|              Filipe Carvalho Mostardinha         N:22085 (DEM)         |
|                                                                        |
| Nome Ficheiro: pic2.h                                                  |
|                                                                        |
|                            HEADER FILE                                 |
+=======================================================================*/

#ifndef _PIC2_H
#define _PIC2_H

#include "global.h"
#include "com.h"

// Frequncia de funcionamento do CPU (MHz) - 1/4 Fosc
#define F_CPU	    10

// Pinos utilizados para efeitos de Debugging
#define TESTPIN 	PORTCbits.RC4           // Execuo da funo main
#define TESTPIN2    PORTCbits.RC5           // Execuo de cdigo aps o fall-down do PWM
#define TESTPIN3    PORTBbits.RB0           // Interrupes de alta frequncia


// ***************
// Device Drivers
// ***************

// Inicializacoes relativas ao microcontrolador
//
extern void initPic(void);

#endif
