/*=======================================================================+
| DEPARTAMENTO MECANICA + DEPARTAMENTO DE ELECTRNICA E TELECOMUNICAES |
|                       DA UNIVERSIDADE AVEIRO                           |
|               Projecto Humanoide (PHUA - MODULROB)                     |
|                                                                        |
| Programadores:                                                         |
|              Milton Ruas da Silva                N:21824 (EET)         |
|              David Manuel Costa Gameiro          N:20281 (DEM)         |
|              Filipe Carvalho Mostardinha         N:22085 (DEM)         |
|                                                                        |
| Nome Ficheiro: global.c                                                |
|                                                                        |
|                              C FILE                                    |
+=======================================================================*/

#include "global.h"
#include <string.h>

// Sinais dos deslocaentos dos servos
signed char servo_signal[N_SERVOS]={+1, +1, +1};

// Offset das posies dos servos
signed char servo_offset[N_SERVOS]={ 0,  0,  0};

// Relao de transmisso das correias (*10)
unsigned char Nrel[N_SERVOS]={10, 10, 10};


// _____ ESTRUTURAS GLOBAIS DO SISTEMA ________________________________________________________________________________

// Variveis globais descritivas do sistema
volatile struct_sensors   sensors;                        // Sensores
volatile struct_actuators actuators;                      // Actuadores

// _____ FUNES DE INICIALIZAO DO SISTEMA __________________________________________________________________________

// Inicializao de todas as estruturas globais
//
void initGlobal(void)
{
    // Inicializao dos sensores
    memset((void *) &sensors,0,sizeof(struct_sensors));

    // Inicializao dos actuadores
    memset((void *) &actuators,0,sizeof(struct_actuators));
}
