% Sensors measuring calibration
%
% [error,errorstr]=sensor_reset(H,scuid)

function [stat,error,errorstr]=sensor_reset(H,scuid)

stat=0;

% Desactivao dos PWMs
[error,errorstr]=killuc(H,scuid);
if (error~=0), return, end

pause(0.1);

% Activao dos PWMs
[error,errorstr]=inituc(H,scuid);

% Esperando que todos os PWMs fiquem activos
[stat,error,errorstr]=waitpwmon(H,scuid);
