% Converte os angulos das juntas para os dos servos
% No  considerada a relao de transmisso

function [servo_phi,err,errstr]=convert2servoangles(scuid,theta,Nrel)

% Relao das correias de transmisso
if (nargin<3)
    Nrel=1;
end

% Adaptao para os ngulos dos elos
servo_phi=adaptate(scuid,theta,Nrel,1);

% Correco inversa dos motores das juntas
servo_phi=correct(scuid,servo_phi,1);

% Validao das posies de entrada
[servo_phi,err,errstr]=validate(scuid,servo_phi);
