/*=======================================================================+
|             DEPARTAMENTO MECANICA UNIVERSIDADE AVEIRO                  |
|                                                                        |
| Programadores:                                                         |
|       		David Manuel Costa Gameiro          N:20281              |
|       		Filipe Carvalho Mostardinha         N:22085              |
|                                                                        |
| Data:  Segunda - 10/Maio/2004                                          |
|                                                                        |
| Nome Ficheiro: InitCan.h                                               |
|                                                                        |
|                            HEADER FILE                                 |
+=======================================================================*/

#ifndef _CAN_H
#define _CAN_H

#include "global.h"

// Inicializao do CAN
void canInit(void);

// Transmisso de uma mensagem CAN relativa  actualizao dos actuadores do sistema
extern bool canSendMsg(byte scu_id, byte index);

// Recepo de uma mensagem CAN de um dos SCU, relativa  actualizao dos sensores
extern bool canReceiveMsg(byte buffer);

// Clear do estado de erros
extern void canClearStatus(void);

#endif
