#include <p18f258.h>


extern volatile unsigned char ABC;
extern volatile near struct {
    unsigned bit0:1;
    unsigned bit1:1;
    unsigned bit2:1;
    unsigned bit3:1;
    unsigned bit4:1;
    unsigned bit5:1;
    unsigned bit6:1;
    unsigned bit7:1;
} ABCbits;

void wait(unsigned int val);
void initPic(void);

void main(void)
{
    /*------------------------------------------------------------------+
    |                    Definicoes dos TRIS do PIC                     |
    +------------------------------------------------------------------*/
    TRISA = 0b00000000;
    TRISB = 0b00000000;
    TRISC = 0b00001111;

    /*------------------------------------------------------------------+
    |                    Configurao do porto RA                       |
    +------------------------------------------------------------------*/

	ADCON1=0b00000110;      // All RA pins are digital

    PORTCbits.RC4=0;

    ABCbits.bit0=0;
    ABC=1;

    for (;;)      PORTCbits.RC4=ABCbits.bit0;
}
