/*=======================================================================+
| DEPARTAMENTO MECANICA + DEPARTAMENTO DE ELECTRNICA E TELECOMUNICAES |
|                       DA UNIVERSIDADE AVEIRO                           |
|               Projecto Humanoide (PHUA - MODULROB)                     |
|                                                                        |
| Programadores:                                                         |
|              Milton Ruas da Silva                N:21824 (EET)         |
|              David Manuel Costa Gameiro          N:20281 (DEM)         |
|              Filipe Carvalho Mostardinha         N:22085 (DEM)         |
|                                                                        |
| Nome Ficheiro: can.h                                                   |
|                                                                        |
|                            HEADER FILE                                 |
+=======================================================================*/

#ifndef _CAN_H
#define _CAN_H

#include "global.h"

// Flag indicadora da recepo de uma ordem por parte do Master
extern bool canRequest;

// Inicializao do mdulo CAN
extern void initCan(void);

// Verificao do correcto funcionamento do CAN
void checkCan(void);

// Transmisso de mensagens CAN para o MCU
extern bool sendCanMessage(byte index);

// Recepo de mensagens CAN
extern bool receiveCanMessage(byte buffer);

#endif
