#ifndef _MYMATHS__H
#define _MYMATHS__H

#define PI          3.14159265359

#define SQR(x)      ((x)*(x))
#define DEGREE(x)   ((x)*180.0/PI)
#define RADIAN(x)   ((x)*PI/180.0)

// Produto de uma amplitude com um factor trigonomtrico e sua normalizao.
#define TRIG_NORMAL(amp,trig)     (signed int) ((signed long) (amp)*(trig)/(signed long) 100)
#define SENO_NORMAL(amp,alpha)    (signed int) ((signed long) (amp)*seno(alpha)/(signed long) 100)
#define COSENO_NORMAL(amp,alpha)  (signed int) ((signed long) (amp)*coseno(alpha)/(signed long) 100)

extern unsigned int abs(signed int val);

extern signed char seno(signed int alpha);

extern signed char coseno(signed int alpha);

#endif
