#include "mymaths.h"
//#include "data.h"

static const signed char sino_table[91] = {0,
                                           1,
                                           3,
                                           5,
                                           6,
                                           8,
                                           10,
                                           12,
                                           13,
                                           15,
                                           17,
                                           19,
                                           20,
                                           22,
                                           24,
                                           25,
                                           27,
                                           29,
                                           30,
                                           32,
                                           34,
                                           35,
                                           37,
                                           39,
                                           40,
                                           42,
                                           43,
                                           45,
                                           46,
                                           48,
                                           50,
                                           51,
                                           52,
                                           54,
                                           55,
                                           57,
                                           58,
                                           60,
                                           61,
                                           62,
                                           64,
                                           65,
                                           66,
                                           68,
                                           69,
                                           70,
                                           71,
                                           73,
                                           74,
                                           75,
                                           76,
                                           77,
                                           78,
                                           79,
                                           80,
                                           81,
                                           82,
                                           83,
                                           84,
                                           85,
                                           86,
                                           87,
                                           88,
                                           89,
                                           89,
                                           90,
                                           91,
                                           92,
                                           92,
                                           93,
                                           93,
                                           94,
                                           95,
                                           95,
                                           96,
                                           96,
                                           97,
                                           97,
                                           97,
                                           98,
                                           98,
                                           98,
                                           99,
                                           99,
                                           99,
                                           99,
                                           99,
                                           99,
                                           99,
                                           99,
                                           100};

unsigned int abs(signed int val)
{
    if (val<0)  val*=-1;
    return val;
}

// Ordem mnimo dos polinmios de McLawryn para o clculo das funes trigonomtricas
#define TRIG_ORDER 10

signed char seno(signed int alpha)
{
    signed int res;

    // Normalizao do ngulo entre -180 e +180 graus
    alpha=alpha%360;
    if (alpha>180)          alpha-=360;
    else if (alpha<-180)    alpha+=360;

    // Condies de equivalncia (alpha=[-90,+90])
    if (alpha>90)       alpha= 180-alpha;
    else if (alpha<-90) alpha=-180-alpha;

    // Mdulo do resultado
    res=sino_table[abs(alpha)];

    // Correco do resultado
    if (alpha<0)  res*=-1;

    return res;
}

signed char coseno(signed int alpha)
{
    return seno(90-alpha);
}
