#ifndef _SERVO_H
#define _SERVO_H

#include "global.h"

#define K_FACTOR 100


// Calibrao dos servos
extern void calibration(void);

// Calibrao do declive para clculo da posio angular
extern bool dynamicServoCalib(signed char pos_act, byte srv);

// Solicitao de movimento de um servo!
signed char servoRequest(signed char position, byte srv);

// Inicializao do Controlador
extern void initController(void);

// Execuo do controlador
extern void controller(void);

#endif
