#ifndef _DATA__H
#define _DATA__H

#include "global.h"

// Offset das posies dos servos
extern const signed char servo_offset[N_SERVOS];

// Diferena de sinal entre as posies dos servos e do ngulo de trabalho
extern const signed char servo_signal[N_SERVOS];


// Clculo do Centro de Presso em dcimas de mm
//
extern void calcCoP(signed int cop[3]);

// Clculo da matriz Jacobiana
//
extern void jacobianMatrix(signed int Jt[N_SERVOS][N_SERVOS]);

#endif
