% Converte os angulos das juntas para os dos servos
% No  considerada a relao de transmisso

function [theta,err,errstr]=convert2jointangles(scuid,servo_phi,Nrel)

% Relao das correias de transmisso
if (nargin<3)
    Nrel=1;
end

% Validao das posies de entrada
%[servo_phi,err,errstr]=validate(scuid,servo_phi);
%if (err==1), return, end

% Correco inversa dos motores das juntas
servo_phi=correct(scuid,servo_phi,-1);

% Adaptao para os ngulos dos elos
theta=adaptate(scuid,servo_phi,Nrel,-1);
